Header add X-Frame-Options "DENY"                             
Header add Content-Security-Policy "frame-ancestors 'none';"

RewriteEngine On
RewriteRule ^rss/?$ /rss/slowtwitch.rss [L]

RewriteRule ^FIST/(.+) FIST/$1 [L]
RewriteRule ^aboutus.html /cgi-bin/articles/page.cgi?p=aboutus&t=twitch [L]
RewriteRule ^advertise.html /cgi-bin/articles/page.cgi?p=advertise&t=twitch [L]
RewriteRule ^404.html /cgi-bin/articles/page.cgi?p=404&t=twitch [L]
RewriteRule ^chris_ad_zone.html /cgi-bin/articles/page.cgi?p=chris_ad_zone&t=twitch [L]
RewriteRule ^retail_survey_0613.html /cgi-bin/articles/page.cgi?p=retail_survey_0613 [L]
RewriteRule ^runstore_survey_0717.html /cgi-bin/articles/page.cgi?p=runstore_survey_0717 [L]
RewriteRule ^saddle_tour_13.html /cgi-bin/articles/page.cgi?p=saddle_tour_13 [L]
RewriteRule ^slowtwitch50_13.html /cgi-bin/articles/page.cgi?p=slowtwitch50_13 [L]
RewriteRule ^privacy.html /cgi-bin/articles/page.cgi?p=privacy [L]
RewriteRule ^agreement.html /cgi-bin/articles/page.cgi?p=agreement&t=twitch [L]
RewriteRule ^agreement.html /cgi-bin/articles/page.cgi?p=agreement&t=twitch [L]
RewriteRule ^stackreach.html /cgi-bin/articles/page.cgi?p=stackreach [L]
RewriteRule ^Photos/(index.html)?$ /cgi-bin/articles/page.cgi?p=photos [L]
RewriteRule ^Videos/(index.html)?$ /cgi-bin/articles/page.cgi?p=photos&video=1 [L]
RewriteRule ^coaching/(index.html)?$ /cgi-bin/articles/page.cgi?p=coaching [L]
RewriteRule ^podcast/(index.html)?$ /cgi-bin/articles/page.cgi?p=podcast [L]
RewriteRule ^Articles/(index.html)?$ /cgi-bin/articles/page.cgi?p=articles [L]
RewriteRule ^Races/(index.html)?$ /cgi-bin/articles/page.cgi?p=races [L]
 
RewriteRule ^Swim/(index.html)?$            /cgi-bin/articles/page.cgi?p=tag&tag=swim [L]
RewriteRule ^Swim/more([0-9]+).html         /cgi-bin/articles/page.cgi?p=tag&tag=swim;nh=$1 [QSA,L]

RewriteRule ^Bike/(index.html)?$            /cgi-bin/articles/page.cgi?p=tag&tag=bike [L]
RewriteRule ^Bike/more([0-9]+).html         /cgi-bin/articles/page.cgi?p=tag&tag=bike;nh=$1 [QSA,L]

RewriteRule ^Run/(index.html)?$             /cgi-bin/articles/page.cgi?p=tag&tag=run [L]
RewriteRule ^Run/more([0-9]+).html         /cgi-bin/articles/page.cgi?p=tag&tag=run;nh=$1 [QSA,L]

# remove this after pushing new site live
#RewriteRule ^local-listings.html /retailers [L]
#RewriteRule ^Articles/index.html /News/index.html [L]


RewriteCond %{HTTP_HOST} !^www.slowtwitch.com$ [NC]
RewriteRule ^(.*)$ https://www.slowtwitch.com/$1 [R=301,L]

# Links dynamic pages
RewriteRule ^$                              /cgi-bin/articles/page.cgi [QSA,L]
RewriteRule ^index.html$                    /cgi-bin/articles/page.cgi [QSA,L]

RewriteRule ^Photos/([A-Z].+/.+)            /cgi-bin/articles/page.cgi?slideshow=1;g=/$1 [L,QSA]
RewriteRule ^Photos/more([0-9]+).html       /cgi-bin/articles/page.cgi?p=photos;nh=$1 [QSA,L]

RewriteRule ^swim/([A-Z].+/.+)            /cgi-bin/articles/page.cgi?slideshow=1;g=/$1 [L,QSA]
RewriteRule ^swim/more([0-9]+).html        /cgi-bin/articles/page.cgi?p=photos;nh=$1 [QSA,L]

RewriteRule ^run/([A-Z].+/.+)            /cgi-bin/articles/page.cgi?slideshow=1;g=/$1 [L,QSA]
RewriteRule ^run/more([0-9]+).html        /cgi-bin/articles/page.cgi?p=photos;nh=$1 [QSA,L]

RewriteRule ^bike/([A-Z].+/.+)            /cgi-bin/articles/page.cgi?slideshow=1;g=/$1 [L,QSA]
RewriteRule ^bike/more([0-9]+).html        /cgi-bin/articles/page.cgi?p=photos;nh=$1 [QSA,L]

RewriteRule .+/.+j([0-9]+).html             /cgi-bin/articles/jump.cgi?Detailed=$1 [L]
RewriteRule ^([A-Z].+/.+)                   /cgi-bin/articles/page.cgi?g=/$1 [L,QSA]
RewriteRule ^([a-z].+)/page_([0-9]+).html   /cgi-bin/articles/page.cgi?g=$1;nh=$2 [QSA,L]

RewriteCond %{REQUEST_URI} !runshops/
RewriteCond %{REQUEST_URI} !retailers/
RewriteCond %{REQUEST_URI} !triclubs/
RewriteCond %{REQUEST_URI} !fitters/
RewriteCond %{REQUEST_URI} !calendar/
RewriteCond %{REQUEST_URI} !coaches/
RewriteCond %{REQUEST_URI} !stackreach/
RewriteCond %{REQUEST_URI} !frontend/
RewriteCond %{REQUEST_URI} !local/
RewriteCond %{REQUEST_URI} !fit_calculator/
RewriteCond %{REQUEST_URI} !coaching/
RewriteCond %{REQUEST_URI} !podcast/
RewriteCond %{REQUEST_URI} !adio/
RewriteCond %{REQUEST_URI} !roadshow/
RewriteCond %{REQUEST_URI} !road/
RewriteCond %{REQUEST_URI} !road/


RewriteRule ^([A-Za-z].+)/(index.html)?$    /cgi-bin/articles/page.cgi?g=$1 [QSA,L]

RewriteRule ^mainheadings/products/camps/fitcamp.html /News/F.I.S.T._Workshop_schedule_set_957.html [R=301,L]
RewriteRule ^Training/Nordic_Skiing/Well_That_s_A_Classic_5539.html /Training/Nordic_Skiing/The_Triathlete_s_How-To_Guide_To_Classic_Skiing_j5539.html [R=301,L]
RewriteRule ^mainheadings/techctr/bikefit06.html /Bike_Fit/F_I_S_T__Tri_bike_fit_system/index.html [R=301,L]
RewriteRule ^live/nautica_south_beach_11.html /tick/viewer.php?ID=330 [L]
RewriteRule ^live/cap_tex_11.html /tick/viewer.php?ID=334 [L]
RewriteRule ^live/philadelphia_insurance_11.html /tick/viewer.php?ID=336 [L]
RewriteRule ^live/minneapolis_11.html /tick/viewer.php?ID=338 [L]
RewriteRule ^live/chicago_11.html /tick/viewer.php?ID=340 [L]
RewriteRule ^live/losangeles_11.html /tick/viewer.php?ID=342 [L]
RewriteRule ^live/dallas_11.html /tick/viewer.php?ID=344 [L]
RewriteRule ^live/f1_12.html /tick/viewer.php?ID=346 [L]
RewriteRule ^live/superfrog_12.html /tick/viewer.php?ID=348 [L]
RewriteRule ^facebook/$ /cgi-bin/articles/facebook.cgi [L]
RewriteRule ^facebook/([0-9]+)/$ /cgi-bin/articles/facebook.cgi?linkid=$1;%{QUERY_STRING} [L]

RewriteCond %{REQUEST_FILENAME} !-f
RewriteRule ^(.+_[0-9]+.html) /cgi-bin/articles/page.cgi?page2=$1 [L]

AddType application/rss+xml .rss

ErrorDocument 404 /404.html